from app import app
from app.utils.render import render
from flask import send_file, url_for

@app.route('/chat')
def chat():
    return render('chat.html',
        styles=[
            '+css/v5shoutbox.css',
            '+css/shoutbox.css'],
        scripts=[
            '-scripts/trigger_menu.js',
            '-scripts/editor.js'])

@app.route('/v5shoutbox.js')
def v5shoutbox_js():
    return send_file('static/scripts/v5shoutbox.js')

@app.route('/v5shoutbox_irc.js')
def v5shoutbox_irc_js():
    return send_file('static/scripts/v5shoutbox_irc.js')

@app.route('/v5shoutbox_worker.js')
def v5shoutbox_worker_js():
    return send_file('static/scripts/v5shoutbox_worker.js')
